openjpa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Donald Woods <dwo...@apache.org>
Subject Re: OpenJPA 2.0.0-M3 plugins available for Geronimo 2.1.3 thru 2.2-SNAPSHOT servers
Date Thu, 12 Nov 2009 03:10:30 GMT
For those OpenJPA users not familiar with Apache Geronimo [1], it is a 
fully Java EE 5 certified application server that can run on Java SE 5 
or 6 from Sun or IBM.  The latest version is 2.1.4 and can be downloaded 
from [2].

[1] http://geronimo.apache.org/

[2] http://geronimo.apache.org/apache-geronimo-v214-release.html


-Donald


Donald Woods wrote:
> For those of you wanting to try out JPA2 in Apache Geronimo before the 
> JSR-317 spec is finalized and before our 3.0 release, now you can.  I've 
> created a set of plugins -
>     Geronimo Plugins, OpenJPA2 :: CAR
>     Geronimo Plugins, OpenJPA2 :: Deployer
> that use the OpenJPA 2.0.0-M3 release [1], which is based on the early 
> access JPA 2.0 Public Final Draft #2.
> 
> [1] http://openjpa.apache.org/openjpa-200-milestone-3.html
> 
> For Geronimo 2.1.3, 2.1.4 and 2.1.5-SNAPSHOT servers, please install the 
> 2.1.3-M3-SNAPSHOT version of the plugins, while Geronimo 2.2-SNAPSHOT 
> users should install the 2.2-M3-SNAPSHOT version.
> 
> To install into an existing Tomcat or Jetty Java EE 5 assembly:
> 1) Start the server and log into the Admin Console -
>     http://localhost:8080/console/
> 2) Navigate to Applications -> Plugins
> 3) In the Install Plugins portlet, choose the installation Repository -
>     http://geronimo.apache.org/plugins/openjpa2/
> 4) Press the "Show Plugins in selected repository" button
>     a) Select the following plugins to install for your server version -
>         Geronimo Plugins, OpenJPA2 :: CAR
>         Geronimo Plugins, OpenJPA2 :: Deployer
>     b) Press Install
>     c) On the confirmation panel, press Install
>     d) Once the plugins are installed, press Done
> 5) Start the following modules if they are not running -
>     a) Navigate to Applications -> System Modules
>     b) Verify the following are started or press the "Start" link -
>        org.apache.geronimo.configs/persistence-jpa20-deployer//car
>        org.apache.geronimo.configs/openjpa2//car
>        org.apache.geronimo.configs/openejb-deployer//car
>        org.apache.geronimo.configs/openejb//car
> 6) Restart the Server, so the loaded JPA 1.0 modules can be replaced 
> with the new JPA 2.0 modules.
> 
> 
> Enjoy!
> -Donald
> 

Mime
View raw message